#!/bin/sh

test `uname -s` = Linux && echocmd="echo -e" || echocmd="echo"

yorn ()
{
        YN=b
        while [ "$YN" != "n" -a "$YN" != "no" -a \
                "$YN" != "N" -a "$YN" != "NO" -a \
                "$YN" != "y" -a "$YN" != "yes" -a \
                "$YN" != "Y" -a "$YN" != "YES" -a \
                "$YN" != "Yes" -a "$YN" != "No" ]; do
                $echocmd $1
                read YN
                if [ "$YN" = "y" -o "$YN" = "yes" -o "$YN" = "Yes" -o \
                     "$YN" = "Y" -o "$YN" = "YES" ]; then
                        return 1
                fi
                if [ "$YN" = "n" -o "$YN" = "no" -o "$YN" = "No" -o \
                     "$YN" = "N" -o "$YN" = "NO" ]; then
                        return 0
                fi
                $echocmd "y ܂ n ͂Ă"
        done
}

#
# Detect if we have been called from a Fixpack installation.
#
FIXPACK_INSTALL=n
if [ "$1" = "Fixpack_Install" ]; then
	FIXPACK_INSTALL=y
fi

if test ! -w /etc/passwd
then
	$echocmd "root łȂ΂̃XNvg͎sł܂"
        exit 1
fi

if [ ".$COBDIR" = "." ]; then
	$echocmd "ĩfBNgw COBDIR ̐ݒ肪KvłB"
        $echocmd "I܂..."
        exit 1
fi


umask 000

#default PATH for BIN
DEFBIN=/usr/bin

BINFILES="cas3270 casdump casdup casfile casinfo cassi casstart casstop"
cd $COBDIR
BASE=`pwd`/etc/cas
TXDIR=$BASE


if [ "$FIXPACK_INSTALL" = "n" ]; then
$echocmd "sOɁAEnterprise Server ̃VXeǗҗp̉p̃[U[ ID "
$echocmd "茳ɏĂ邩mFĂB"

$echocmd "ڍׂ́A}jAu\ƊǗvɋLqĂ܂B\n"
$echocmd "Iɂ́A'q' Asɂ́AsĂB: \c"
read cont
if test "$cont" = "q"
then
    exit 2
fi


#
# Setup the defaults and store in the global config file - $TXDIR/cas.cfg
#

$echocmd "\n\nɑɓȂAO[ogUNVVXe"
$echocmd "\t@C(cas.cfg)\z܂B- ڍׂ̓}jA"
$echocmd "u\ƊǗvQƂĂB\n"

cd $BASE
yorn "G[xbZ[W syslog f[\܂? \n(y/n): \c"
res=$?
$echocmd "###########################################################" > .defts
$echocmd "### Transaction System Global/Region Configuration File ###" >> .defts
$echocmd "###########################################################" >> .defts
$echocmd "###              global only directives                 ###" >> .defts
case "$res" in
        1)  $echocmd "USESYSCON=Y" >> .defts
        ;;
        0)      $echocmd "USESYSCON=N" >> .defts
        ;;
esac

#
# Ask for the System Administrator user id
#

t=1
until test $t = 0
do
    $echocmd "\nEnterprise Server ̃VXeǗҗp̉p̃[U[ ID \n͂ĂB: \c"
    read SYSADMIN
        if [ "$SYSADMIN" = "" ]; then
        SYSADMIN=baduser
        fi
	id $SYSADMIN >/dev/null 2>/dev/null
	t=$?
        if test $t -ne 0
        then
            $echocmd "\nw肳ꂽ Enterprise Server ̃VXeǗҗp̃[U[ ID "
            $echocmd "ĂĂȂApł͂܂BUNIX VXeǗ҂"
            $echocmd "ĂĂ炤Aʂ̃[U[ ID w肵ĂB\n"
        fi
done
else
#
# Determine the System Administrator user id
#
SYSADMIN=`ls -l $TXDIR/cas.cfg | awk '{print $3}'`
if [ "x$SYSADMIN" = "x" ]; then
  $echocmd "$0: G[: VXeǗҗp̃[U[ ID mł܂łB"
  $echocmd "\n**** x Enterprise Server ̍\͊Ă܂B\n"
  $echocmd "Enterprise Server ̍\ɂ́ÃG[C"
  $echocmd "'cd $COBDIR; sh ./bin/caspermfƓ͂ĎsĂB"
  exit 1
fi
fi

ID=id
GID=`$ID -g $SYSADMIN`

DEFUSER=$GID
DEFDEV=$GID
DEFADMIN=$GID
DEFOPER=$GID

if [ "$FIXPACK_INSTALL" = "n" ]; then
cd $BASE
$echocmd "AUTHPGMS=" >> .defts

$echocmd "\nEnterprise Server sVXet@CRs[fBNg"
$echocmd "΃pXœ͂ĂBϐ͎gpł܂B"
$echocmd "/var/mfcobol/es ɃRs[ꍇ́ARETURN L[ĂB"
read casrtdir
if [ "x$casrtdir" = "x" ]; then
casrtdir=/var/mfcobol/es
fi

$echocmd "CASROOT=$casrtdir" >> .defts

$echocmd "###              other directives                       ###" >> .defts

$echocmd "###########################################################" >> .defts
mv .defts cas.cfg
chown $SYSADMIN cas.cfg
fi

if [ "$FIXPACK_INSTALL" = "n" ]; then
grep '^SX/5.0/COBOL/5.0/Install/WORK$' $COBDIR/etc/mfreg.dat 1>/dev/null 2>/dev/null
if [ $? -ne 0 ]; then
cat >>$COBDIR/etc/mfreg.dat <<EOF
SX/5.0/COBOL

SX/5.0/COBOL/Version
5.0
SX/5.0/COBOL/5.0/Install

SX/5.0/COBOL/5.0/Install/WORK
$casrtdir
EOF
fi
fi

cd $COBDIR
#cp files/sys/dfhrdef.cfg files/sys/dfhdev.cfg files/sys/dfhpcbon.cfg files/sys/dfhpcrem.cfg files/sys/dfhmon.cfg files/sys/advscrns.cfg $COBDIR
#cp files/sys/wbcob370.dir files/sys/wbdosvs.dir files/sys/wbosvs.dir files/sys/wbvsc21.dir files/sys/wbvsc22.dir files/sys/wbvsc23.dir files/sys/wbvsc24.dir $COBDIR

#
# Set correct group ownership
#
$echocmd "\nt@Cp[~bVݒ蒆łB҂..."

# TOP -- Moved from bottom -- 2006/09/26 ck
for i in cas3270 cascnvim casrdtex imtkmake mfcs casfile casstart cobimtk mfdepinst casmq casrdtup eslm casdump casstop mfds casinfo cassi casdup
do
if [ -f "$COBDIR/bin/.$i" ]; then
rm $COBDIR/bin/$i
mv $COBDIR/bin/.$i $COBDIR/bin/$i
fi
done
# END -- Moved from bottom -- 2006/09/26 ck

if [ -f $COBDIR/lib/cascfg.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/cascfg.sl
chmod 755  $COBDIR/lib/cascfg.sl
chown $SYSADMIN $COBDIR/lib/cascfg.sl
else
$echocmd $COBDIR/lib/cascfg.sl - not found.
fi
if [ -f $COBDIR/lib/dfhextfh.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhextfh.sl
chmod 755  $COBDIR/lib/dfhextfh.sl
chown $SYSADMIN $COBDIR/lib/dfhextfh.sl
else
$echocmd $COBDIR/lib/dfhextfh.sl - not found.
fi
if [ -f $COBDIR/lib/dfherdio.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfherdio.sl
chmod 755  $COBDIR/lib/dfherdio.sl
chown $SYSADMIN $COBDIR/lib/dfherdio.sl
else
$echocmd $COBDIR/lib/dfherdio.sl - not found.
fi
if [ -f $COBDIR/lib/dfhff.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhff.sl
chmod 755  $COBDIR/lib/dfhff.sl
chown $SYSADMIN $COBDIR/lib/dfhff.sl
else
$echocmd $COBDIR/lib/dfhff.sl - not found.
fi
if [ -f $COBDIR/lib/dfhpmgen.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhpmgen.sl
chmod 755  $COBDIR/lib/dfhpmgen.sl
chown $SYSADMIN $COBDIR/lib/dfhpmgen.sl
else
$echocmd $COBDIR/lib/dfhpmgen.sl - not found.
fi
if [ -f $COBDIR/lib/dfhpcgen.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhpcgen.sl
chmod 755  $COBDIR/lib/dfhpcgen.sl
chown $SYSADMIN $COBDIR/lib/dfhpcgen.sl
else
$echocmd $COBDIR/lib/dfhpcgen.sl - not found.
fi
if [ -f $COBDIR/lib/dfhppgen.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhppgen.sl
chmod 755  $COBDIR/lib/dfhppgen.sl
chown $SYSADMIN $COBDIR/lib/dfhppgen.sl
else
$echocmd $COBDIR/lib/dfhppgen.sl - not found.
fi
if [ -f $COBDIR/lib/dfherdcv.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfherdcv.sl
chmod 755  $COBDIR/lib/dfherdcv.sl
chown $SYSADMIN $COBDIR/lib/dfherdcv.sl
else
$echocmd $COBDIR/lib/dfherdcv.sl - not found.
fi
if [ -f $COBDIR/lib/dfhregns.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhregns.sl
chmod 755  $COBDIR/lib/dfhregns.sl
chown $SYSADMIN $COBDIR/lib/dfhregns.sl
else
$echocmd $COBDIR/lib/dfhregns.sl - not found.
fi
if [ -f $COBDIR/lib/dfhpmfio.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhpmfio.sl
chmod 755  $COBDIR/lib/dfhpmfio.sl
chown $SYSADMIN $COBDIR/lib/dfhpmfio.sl
else
$echocmd $COBDIR/lib/dfhpmfio.sl - not found.
fi
if [ -f $COBDIR/lib/dfhxinit.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhxinit.sl
chmod 755  $COBDIR/lib/dfhxinit.sl
chown $SYSADMIN $COBDIR/lib/dfhxinit.sl
else
$echocmd $COBDIR/lib/dfhxinit.sl - not found.
fi
if [ -f $COBDIR/lib/cicsecm.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/cicsecm.sl
chmod 755  $COBDIR/lib/cicsecm.sl
chown $SYSADMIN $COBDIR/lib/cicsecm.sl
fi
if [ -f $COBDIR/lib/dfhmon.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhmon.sl
chmod 755  $COBDIR/lib/dfhmon.sl
chown $SYSADMIN $COBDIR/lib/dfhmon.sl
else
$echocmd $COBDIR/lib/dfhmon.sl - not found.
fi
if [ -f $COBDIR/lib/_mfpreld.sl ]; then
chown $SYSADMIN $COBDIR/lib/_mfpreld.sl
else
$echocmd $COBDIR/lib/_mfpreld.sl - not found.
fi
if [ -f $COBDIR/lib/dfhmoclr.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhmoclr.sl
chmod 755  $COBDIR/lib/dfhmoclr.sl
chown $SYSADMIN $COBDIR/lib/dfhmoclr.sl
else
$echocmd $COBDIR/lib/dfhmoclr.sl - not found.
fi
if [ -f $COBDIR/bin/casdup32 ]; then
chgrp $DEFOPER  $COBDIR/bin/casdup32
chmod 750 $COBDIR/bin/casdup32
chown $SYSADMIN $COBDIR/bin/casdup32
else
$echocmd $COBDIR/bin/casdup32 - not found.
fi
if [ -f $COBDIR/bin/casdup ]; then
chgrp $DEFOPER  $COBDIR/bin/casdup
chmod 750 $COBDIR/bin/casdup
chown $SYSADMIN $COBDIR/bin/casdup
else
$echocmd $COBDIR/bin/casdup - not found.
fi
if [ -f $COBDIR/bin/casinfo32 ]; then
chgrp $DEFOPER  $COBDIR/bin/casinfo32
chmod 750 $COBDIR/bin/casinfo32
chown $SYSADMIN $COBDIR/bin/casinfo32
else
$echocmd $COBDIR/bin/casinfo32 - not found.
fi
if [ -f $COBDIR/bin/casinfo ]; then
chgrp $DEFOPER  $COBDIR/bin/casinfo
chmod 750 $COBDIR/bin/casinfo
chown $SYSADMIN $COBDIR/bin/casinfo
else
$echocmd $COBDIR/bin/casinfo - not found.
fi
if [ -f $COBDIR/bin/cassrvtm32 ]; then
chgrp $DEFOPER  $COBDIR/bin/cassrvtm32
chmod 750 $COBDIR/bin/cassrvtm32
chown $SYSADMIN $COBDIR/bin/cassrvtm32
else
$echocmd $COBDIR/bin/cassrvtm32 - not found.
fi
if [ -f $COBDIR/bin/caspdied32 ]; then
chgrp $DEFOPER  $COBDIR/bin/caspdied32
chmod 750 $COBDIR/bin/caspdied32
chown $SYSADMIN $COBDIR/bin/caspdied32
else
$echocmd $COBDIR/bin/caspdied32 - not found.
fi
if [ -f $COBDIR/bin/cascd32 ]; then
chgrp $DEFOPER  $COBDIR/bin/cascd32
chmod 750 $COBDIR/bin/cascd32
chown $SYSADMIN $COBDIR/bin/cascd32
else
$echocmd $COBDIR/bin/cascd32 - not found.
fi
if [ -f $COBDIR/bin/casmgr32 ]; then
chgrp $DEFOPER  $COBDIR/bin/casmgr32
chmod 750 $COBDIR/bin/casmgr32
chown $SYSADMIN $COBDIR/bin/casmgr32
else
$echocmd $COBDIR/bin/casmgr32 - not found.
fi
if [ -f $COBDIR/bin/casfile32 ]; then
chgrp $DEFOPER  $COBDIR/bin/casfile32
chmod 750 $COBDIR/bin/casfile32
chown $SYSADMIN $COBDIR/bin/casfile32
else
$echocmd $COBDIR/bin/casfile32 - not found.
fi
if [ -f $COBDIR/bin/casfile ]; then
chgrp $DEFOPER  $COBDIR/bin/casfile
chmod 750 $COBDIR/bin/casfile
chown $SYSADMIN $COBDIR/bin/casfile
else
$echocmd $COBDIR/bin/casfile - not found.
fi
if [ -f $COBDIR/bin/casstart32 ]; then
chgrp $DEFOPER  $COBDIR/bin/casstart32
chmod 750 $COBDIR/bin/casstart32
chown $SYSADMIN $COBDIR/bin/casstart32
else
$echocmd $COBDIR/bin/casstart32 - not found.
fi
if [ -f $COBDIR/bin/casstart ]; then
chgrp $DEFOPER  $COBDIR/bin/casstart
chmod 750 $COBDIR/bin/casstart
chown $SYSADMIN $COBDIR/bin/casstart
else
$echocmd $COBDIR/bin/casstart - not found.
fi
if [ -f $COBDIR/bin/casstop32 ]; then
chgrp $DEFOPER  $COBDIR/bin/casstop32
chmod 750 $COBDIR/bin/casstop32
chown $SYSADMIN $COBDIR/bin/casstop32
else
$echocmd $COBDIR/bin/casstop32 - not found.
fi
if [ -f $COBDIR/bin/casstop ]; then
chgrp $DEFOPER  $COBDIR/bin/casstop
chmod 750 $COBDIR/bin/casstop
chown $SYSADMIN $COBDIR/bin/casstop
else
$echocmd $COBDIR/bin/casstop - not found.
fi
if [ -f $COBDIR/lib/dfheappc.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfheappc.sl
chmod 755  $COBDIR/lib/dfheappc.sl
chown $SYSADMIN $COBDIR/lib/dfheappc.sl
else
$echocmd $COBDIR/lib/dfheappc.sl - not found.
fi
if [ -f $COBDIR/lib/dfhgerr.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhgerr.sl
chmod 755  $COBDIR/lib/dfhgerr.sl
chown $SYSADMIN $COBDIR/lib/dfhgerr.sl
else
$echocmd $COBDIR/lib/dfhgerr.sl - not found.
fi
if [ -f $COBDIR/lib/dfhgreq.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhgreq.sl
chmod 755  $COBDIR/lib/dfhgreq.sl
chown $SYSADMIN $COBDIR/lib/dfhgreq.sl
else
$echocmd $COBDIR/lib/dfhgreq.sl - not found.
fi
if [ -f $COBDIR/lib/casgreqt.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/casgreqt.sl
chmod 755  $COBDIR/lib/casgreqt.sl
chown $SYSADMIN $COBDIR/lib/casgreqt.sl
else
$echocmd $COBDIR/lib/casgreqt.sl - not found.
fi
if [ -f $COBDIR/lib/casgate.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/casgate.sl
chmod 755  $COBDIR/lib/casgate.sl
chown $SYSADMIN $COBDIR/lib/casgate.sl
else
$echocmd $COBDIR/lib/casgate.sl - not found.
fi
if [ -f $COBDIR/bin/casdump32 ]; then
chgrp $DEFADMIN $COBDIR/bin/casdump32
chmod 750 $COBDIR/bin/casdump32
chown $SYSADMIN $COBDIR/bin/casdump32
else
$echocmd $COBDIR/bin/casdump32 - not found.
fi
if [ -f $COBDIR/bin/casdump ]; then
chgrp $DEFADMIN $COBDIR/bin/casdump
chmod 750 $COBDIR/bin/casdump
chown $SYSADMIN $COBDIR/bin/casdump
else
$echocmd $COBDIR/bin/casdump - not found.
fi
if [ -f $COBDIR/lib/dfhgerr2.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhgerr2.sl
chmod 755  $COBDIR/lib/dfhgerr2.sl
chown $SYSADMIN $COBDIR/lib/dfhgerr2.sl
else
$echocmd $COBDIR/lib/dfhgerr2.sl - not found.
fi
if [ -f $COBDIR/lib/dfhgini2.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhgini2.sl
chmod 755  $COBDIR/lib/dfhgini2.sl
chown $SYSADMIN $COBDIR/lib/dfhgini2.sl
else
$echocmd $COBDIR/lib/dfhgini2.sl - not found.
fi
if [ -f $COBDIR/bin/casmq32 ]; then
chgrp $DEFADMIN $COBDIR/bin/casmq32
chmod 750 $COBDIR/bin/casmq32
chown $SYSADMIN $COBDIR/bin/casmq32
else
$echocmd $COBDIR/bin/casmq32 - not found.
fi
if [ -f $COBDIR/bin/cas327032 ]; then
chgrp $DEFADMIN $COBDIR/bin/cas327032
chmod 750 $COBDIR/bin/cas327032
chown $SYSADMIN $COBDIR/bin/cas327032
else
$echocmd $COBDIR/bin/cas327032 - not found.
fi
if [ -f $COBDIR/bin/cas3270 ]; then
chgrp $DEFADMIN $COBDIR/bin/cas3270
chmod 750 $COBDIR/bin/cas3270
chown $SYSADMIN $COBDIR/bin/cas3270
else
$echocmd $COBDIR/bin/cas3270 - not found.
fi
if [ -f $COBDIR/bin/casfshr32 ]; then
chgrp $DEFOPER  $COBDIR/bin/casfshr32
chmod 750 $COBDIR/bin/casfshr32
chown $SYSADMIN $COBDIR/bin/casfshr32
else
$echocmd $COBDIR/bin/casfshr32 - not found.
fi
if [ -f $COBDIR/bin/casjcp32 ]; then
chgrp $DEFOPER  $COBDIR/bin/casjcp32
chmod 750 $COBDIR/bin/casjcp32
chown $SYSADMIN $COBDIR/bin/casjcp32
else
$echocmd $COBDIR/bin/casjcp32 - not found.
fi
if [ -f $COBDIR/bin/cascci32 ]; then
chgrp $DEFADMIN $COBDIR/bin/cascci32
chmod 750 $COBDIR/bin/cascci32
chown $SYSADMIN $COBDIR/bin/cascci32
else
$echocmd $COBDIR/bin/cascci32 - not found.
fi
if [ -f $COBDIR/bin/cas32prt32 ]; then
chgrp $DEFADMIN $COBDIR/bin/cas32prt32
chmod 750 $COBDIR/bin/cas32prt32
chown $SYSADMIN $COBDIR/bin/cas32prt32
else
$echocmd $COBDIR/bin/cas32prt32 - not found.
fi
if [ -f $COBDIR/bin/cascrd32 ]; then
chgrp $DEFADMIN $COBDIR/bin/cascrd32
chmod 750 $COBDIR/bin/cascrd32
chown $SYSADMIN $COBDIR/bin/cascrd32
else
$echocmd $COBDIR/bin/cascrd32 - not found.
fi
if [ -f $COBDIR/bin/casatch32 ]; then
chgrp $DEFOPER  $COBDIR/bin/casatch32
chmod 750 $COBDIR/bin/casatch32
chown $SYSADMIN $COBDIR/bin/casatch32
else
$echocmd $COBDIR/bin/casatch32 - not found.
fi
if [ -f $COBDIR/lib/dfhgfshi.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhgfshi.sl
chmod 755  $COBDIR/lib/dfhgfshi.sl
chown $SYSADMIN $COBDIR/lib/dfhgfshi.sl
else
$echocmd $COBDIR/lib/dfhgfshi.sl - not found.
fi
if [ -f $COBDIR/lib/dfhginit.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhginit.sl
chmod 755  $COBDIR/lib/dfhginit.sl
chown $SYSADMIN $COBDIR/lib/dfhginit.sl
else
$echocmd $COBDIR/lib/dfhginit.sl - not found.
fi
if [ -f $COBDIR/lib/dfhgjcpi.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhgjcpi.sl
chmod 755  $COBDIR/lib/dfhgjcpi.sl
chown $SYSADMIN $COBDIR/lib/dfhgjcpi.sl
else
$echocmd $COBDIR/lib/dfhgjcpi.sl - not found.
fi
if [ -f $COBDIR/lib/dfhgpca.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhgpca.sl
chmod 755  $COBDIR/lib/dfhgpca.sl
chown $SYSADMIN $COBDIR/lib/dfhgpca.sl
else
$echocmd $COBDIR/lib/dfhgpca.sl - not found.
fi
if [ -f $COBDIR/lib/dfhgpcam.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhgpcam.sl
chmod 755  $COBDIR/lib/dfhgpcam.sl
chown $SYSADMIN $COBDIR/lib/dfhgpcam.sl
else
$echocmd $COBDIR/lib/dfhgpcam.sl - not found.
fi
if [ -f $COBDIR/lib/dfht32db.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfht32db.sl
chmod 755  $COBDIR/lib/dfht32db.sl
chown $SYSADMIN $COBDIR/lib/dfht32db.sl
else
$echocmd $COBDIR/lib/dfht32db.sl - not found.
fi
if [ -f $COBDIR/lib/dfht32sb.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfht32sb.sl
chmod 755  $COBDIR/lib/dfht32sb.sl
chown $SYSADMIN $COBDIR/lib/dfht32sb.sl
else
$echocmd $COBDIR/lib/dfht32sb.sl - not found.
fi
if [ -f $COBDIR/lib/dfhe3270.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhe3270.sl
chmod 755  $COBDIR/lib/dfhe3270.sl
chown $SYSADMIN $COBDIR/lib/dfhe3270.sl
else
$echocmd $COBDIR/lib/dfhe3270.sl - not found.
fi
if [ -f $COBDIR/lib/dfhe32db.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhe32db.sl
chmod 755  $COBDIR/lib/dfhe32db.sl
chown $SYSADMIN $COBDIR/lib/dfhe32db.sl
else
$echocmd $COBDIR/lib/dfhe32db.sl - not found.
fi
if [ -f $COBDIR/lib/dfhecci1.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhecci1.sl
chmod 755  $COBDIR/lib/dfhecci1.sl
chown $SYSADMIN $COBDIR/lib/dfhecci1.sl
else
$echocmd $COBDIR/lib/dfhecci1.sl - not found.
fi
if [ -f $COBDIR/lib/dfhecnv.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhecnv.sl
chmod 755  $COBDIR/lib/dfhecnv.sl
chown $SYSADMIN $COBDIR/lib/dfhecnv.sl
else
$echocmd $COBDIR/lib/dfhecnv.sl - not found.
fi
if [ -f $COBDIR/lib/dfheexin.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfheexin.sl
chmod 755  $COBDIR/lib/dfheexin.sl
chown $SYSADMIN $COBDIR/lib/dfheexin.sl
else
$echocmd $COBDIR/lib/dfheexin.sl - not found.
fi
if [ -f $COBDIR/lib/dfhefctl.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhefctl.sl
chmod 755  $COBDIR/lib/dfhefctl.sl
chown $SYSADMIN $COBDIR/lib/dfhefctl.sl
else
$echocmd $COBDIR/lib/dfhefctl.sl - not found.
fi
if [ -f $COBDIR/lib/dfheibmq.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfheibmq.sl
chmod 755  $COBDIR/lib/dfheibmq.sl
chown $SYSADMIN $COBDIR/lib/dfheibmq.sl
else
$echocmd $COBDIR/lib/dfheibmq.sl - not found.
fi
if [ -f $COBDIR/lib/dfhemesg.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhemesg.sl
chmod 755  $COBDIR/lib/dfhemesg.sl
chown $SYSADMIN $COBDIR/lib/dfhemesg.sl
else
$echocmd $COBDIR/lib/dfhemesg.sl - not found.
fi
if [ -f $COBDIR/lib/dfhepctc.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhepctc.sl
chmod 755  $COBDIR/lib/dfhepctc.sl
chown $SYSADMIN $COBDIR/lib/dfhepctc.sl
else
$echocmd $COBDIR/lib/dfhepctc.sl - not found.
fi
if [ -f $COBDIR/lib/dfhesche.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhesche.sl
chmod 755  $COBDIR/lib/dfhesche.sl
chown $SYSADMIN $COBDIR/lib/dfhesche.sl
else
$echocmd $COBDIR/lib/dfhesche.sl - not found.
fi
if [ -f $COBDIR/lib/dfheserv.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfheserv.sl
chmod 755  $COBDIR/lib/dfheserv.sl
chown $SYSADMIN $COBDIR/lib/dfheserv.sl
else
$echocmd $COBDIR/lib/dfheserv.sl - not found.
fi
if [ -f $COBDIR/lib/casadmin.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/casadmin.sl
chmod 755  $COBDIR/lib/casadmin.sl
chown $SYSADMIN $COBDIR/lib/casadmin.sl
else
$echocmd $COBDIR/lib/casadmin.sl - not found.
fi
if [ -f $COBDIR/lib/casmqsrv.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/casmqsrv.sl
chmod 755  $COBDIR/lib/casmqsrv.sl
chown $SYSADMIN $COBDIR/lib/casmqsrv.sl
else
$echocmd $COBDIR/lib/casmqsrv.sl - not found.
fi
if [ -f $COBDIR/lib/cashtsrv.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/cashtsrv.sl
chmod 755  $COBDIR/lib/cashtsrv.sl
chown $SYSADMIN $COBDIR/lib/cashtsrv.sl
else
$echocmd $COBDIR/lib/cashtsrv.sl - not found.
fi
if [ -f $COBDIR/lib/casbnsrv.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/casbnsrv.sl
chmod 755  $COBDIR/lib/casbnsrv.sl
chown $SYSADMIN $COBDIR/lib/casbnsrv.sl
else
$echocmd $COBDIR/lib/casbnsrv.sl - not found.
fi
if [ -f $COBDIR/bin/cassi32 ]; then
chgrp $DEFOPER  $COBDIR/bin/cassi32
chmod 750 $COBDIR/bin/cassi32
chown $SYSADMIN $COBDIR/bin/cassi32
else
$echocmd $COBDIR/bin/cassi32 - not found.
fi
if [ -f $COBDIR/bin/cassi ]; then
chgrp $DEFOPER  $COBDIR/bin/cassi
chmod 750 $COBDIR/bin/cassi
chown $SYSADMIN $COBDIR/bin/cassi
else
$echocmd $COBDIR/bin/cassi - not found.
fi
if [ -f $COBDIR/lib/cas0supp.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/cas0supp.sl
chmod 755  $COBDIR/lib/cas0supp.sl
chown $SYSADMIN $COBDIR/lib/cas0supp.sl
else
$echocmd $COBDIR/lib/cas0supp.sl - not found.
fi
if [ -f $COBDIR/lib/dfhesysp.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhesysp.sl
chmod 755  $COBDIR/lib/dfhesysp.sl
chown $SYSADMIN $COBDIR/lib/dfhesysp.sl
else
$echocmd $COBDIR/lib/dfhesysp.sl - not found.
fi
if [ -f $COBDIR/lib/dfhetstd.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhetstd.sl
chmod 755  $COBDIR/lib/dfhetstd.sl
chown $SYSADMIN $COBDIR/lib/dfhetstd.sl
else
$echocmd $COBDIR/lib/dfhetstd.sl - not found.
fi
if [ -f $COBDIR/lib/dfheuser.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfheuser.sl
chmod 755  $COBDIR/lib/dfheuser.sl
chown $SYSADMIN $COBDIR/lib/dfheuser.sl
else
$echocmd $COBDIR/lib/dfheuser.sl - not found.
fi
if [ -f $COBDIR/lib/dfhexfpf.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhexfpf.sl
chmod 755  $COBDIR/lib/dfhexfpf.sl
chown $SYSADMIN $COBDIR/lib/dfhexfpf.sl
else
$echocmd $COBDIR/lib/dfhexfpf.sl - not found.
fi
if [ -f $COBDIR/lib/dfhgdump.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfhgdump.sl
chmod 755  $COBDIR/lib/dfhgdump.sl
chown $SYSADMIN $COBDIR/lib/dfhgdump.sl
else
$echocmd $COBDIR/lib/dfhgdump.sl - not found.
fi
if [ -f $COBDIR/lib/dfhebms.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhebms.sl
chmod 755  $COBDIR/lib/dfhebms.sl
chown $SYSADMIN $COBDIR/lib/dfhebms.sl
else
$echocmd $COBDIR/lib/dfhebms.sl - not found.
fi
if [ -f $COBDIR/lib/cascgirh.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/cascgirh.sl
chmod 755  $COBDIR/lib/cascgirh.sl
chown $SYSADMIN $COBDIR/lib/cascgirh.sl
else
$echocmd $COBDIR/lib/cascgirh.sl - not found.
fi
if [ -f $COBDIR/lib/MFRHCGI.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/MFRHCGI.sl
chmod 755  $COBDIR/lib/MFRHCGI.sl
chown $SYSADMIN $COBDIR/lib/MFRHCGI.sl
else
$echocmd $COBDIR/lib/MFRHCGI.sl - not found.
fi
if [ -f $COBDIR/lib/valerorh.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/valerorh.sl
chmod 755  $COBDIR/lib/valerorh.sl
chown $SYSADMIN $COBDIR/lib/valerorh.sl
else
$echocmd $COBDIR/lib/valerorh.sl - not found.
fi
if [ -f $COBDIR/lib/SRVRH.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/SRVRH.sl
chmod 755  $COBDIR/lib/SRVRH.sl
chown $SYSADMIN $COBDIR/lib/SRVRH.sl
else
$echocmd $COBDIR/lib/SRVRH.sl - not found.
fi
if [ -f $COBDIR/lib/dfheini1.sl ]; then
chgrp $DEFOPER  $COBDIR/lib/dfheini1.sl
chmod 755  $COBDIR/lib/dfheini1.sl
chown $SYSADMIN $COBDIR/lib/dfheini1.sl
else
$echocmd $COBDIR/lib/dfheini1.sl - not found.
fi
if [ -f $COBDIR/lib/dfhgreqc.sl ]; then
chgrp $DEFUSER  $COBDIR/lib/dfhgreqc.sl
chmod 755  $COBDIR/lib/dfhgreqc.sl
chown $SYSADMIN $COBDIR/lib/dfhgreqc.sl
else
$echocmd $COBDIR/lib/dfhgreqc.sl - not found.
fi
if [ -f $COBDIR/lib/dfhtex32.sl ]; then
chgrp $DEFUSER  $COBDIR/lib/dfhtex32.sl
chmod 755  $COBDIR/lib/dfhtex32.sl
chown $SYSADMIN $COBDIR/lib/dfhtex32.sl
else
$echocmd $COBDIR/lib/dfhtex32.sl - not found.
fi
if [ -f $COBDIR/lib/dfhtinit.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhtinit.sl
chmod 755  $COBDIR/lib/dfhtinit.sl
chown $SYSADMIN $COBDIR/lib/dfhtinit.sl
else
$echocmd $COBDIR/lib/dfhtinit.sl - not found.
fi
if [ -f $COBDIR/lib/dfhrapi.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhrapi.sl
chmod 755  $COBDIR/lib/dfhrapi.sl
chown $SYSADMIN $COBDIR/lib/dfhrapi.sl
else
$echocmd $COBDIR/lib/dfhrapi.sl - not found.
fi
if [ -f $COBDIR/lib/dfhrval.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhrval.sl
chmod 755  $COBDIR/lib/dfhrval.sl
chown $SYSADMIN $COBDIR/lib/dfhrval.sl
else
$echocmd $COBDIR/lib/dfhrval.sl - not found.
fi
if [ -f $COBDIR/lib/dfhrmsg.sl ]; then
chgrp $DEFADMIN $COBDIR/lib/dfhrmsg.sl
chmod 755  $COBDIR/lib/dfhrmsg.sl
chown $SYSADMIN $COBDIR/lib/dfhrmsg.sl
else
$echocmd $COBDIR/lib/dfhrmsg.sl - not found.
fi
cd $COBDIR/bin; chmod o+rx $BINFILES ; 
cd $BASE

chmod 664 $BASE/cas.cfg
chgrp $DEFOPER $BASE/cas.cfg

find $BASE -print | xargs chown $SYSADMIN
cd $COBDIR/bin
find $BINFILES -print | xargs chown $SYSADMIN
find $COBDIR/etc/cas -type f -print| xargs chown $SYSADMIN
find $COBDIR/etc/cas -type f -print| xargs chgrp $DEFOPER
find $COBDIR/lib -name dfh\*.sl -print| xargs chown $SYSADMIN
find $COBDIR/lib -name dfh\*.sl -print| xargs chgrp $DEFOPER
find $COBDIR/lib -name cas\*.sl -print| xargs chown $SYSADMIN
find $COBDIR/lib -name cas\*.sl -print| xargs chgrp $DEFOPER
find $COBDIR/es/esmac -type f -print| xargs chown $SYSADMIN
find $COBDIR/es/esmac -type f -print| xargs chgrp $DEFOPER

if [ "$FIXPACK_INSTALL" = "n" ]; then
if [ ! -d "$casrtdir" ]; then
mkdir -p $casrtdir
fi
chgrp $DEFUSER $casrtdir
chmod g+w $casrtdir

$COBDIR/bin/mfds -f $SYSADMIN
RES=$?
if test $RES -ne 0
then
  $echocmd "$0: G[ $RES : $COBDIR/bin/mfds -f $SYSADMIN"
  $echocmd "\n**** x Enterprise Server ̍\͊Ă܂B\n"
  $echocmd "Enterprise Server ̍\ɂ́ÃG[C"
  $echocmd "'cd $COBDIR; sh ./bin/caspermfƓ͂ĎsĂB"
else
  $echocmd "\nEnterprise Server ̍\܂B\n"

# 2006/09/26 ck
# Moved before permission settings. Needed for "$COBDIR/bin/mfds -f $SYSADMIN" above also for the case that casperm gets cancelled first.
# for i in cas3270 cascnvim casrdtex imtkmake mfcs casfile casstart cobimtk mfdepinst casmq casrdtup eslm casdump casstop mfds casinfo cassi casdup
# do
# if [ -f "$COBDIR/bin/.$i" ]; then
# rm $COBDIR/bin/$i
# mv $COBDIR/bin/.$i $COBDIR/bin/$i
# fi
# done

fi
fi
